<?php
/**
 * Header
 *
 * Construct the Theme Header
 *
 * @package Page Builder Framework
 * @subpackage Template Parts
 */
 
// exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

add_action('wpbf_header', 'wpbf_do_header');

function wpbf_do_header() { ?>

		<header class="wpbf-page-header" itemscope itemtype="http://schema.org/WPHeader">

			<?php do_action( 'wpbf_header_open' ); ?>

			<?php get_template_part( 'inc/template-parts/pre-header' ); ?>

			<!-- Navigation -->
			<div class="wpbf-navigation<?php if ( function_exists( 'wpbf_transparent_header' ) ) wpbf_transparent_header(); ?>" <?php if ( function_exists( 'wpbf_transparent_header' ) ) wpbf_sticky_navigation(); ?>>

				<!-- Main Navigation -->
				<?php get_template_part( 'inc/template-parts/navigation/'. wpbf_menu() .'' ); ?>

				<!-- Mobile Navigation -->
				<?php get_template_part( 'inc/template-parts/navigation/'. wpbf_mobile_menu() .'' ); ?>

			</div>

			<?php do_action( 'wpbf_header_close' ); ?>

		</header>

<?php } ?>